> ## Documentation Index
> Fetch the complete documentation index at: https://wato.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Server Status

> Retrieve Current Worker Status. This function is utilized to ascertain the present status of WhatsApp login. If the current status indicates anything other than success, it prompts a login action to the dashboard.



## OpenAPI

````yaml get /api/v1/venom/get-status
openapi: 3.0.0
info:
  title: wato-external
  description: >-
    [Wato.ai](https://wato.ai) is a zero-cost messaging platform focused on
    WhatsApp groups and community retargeting. It allows for the management and
    growth of WhatsApp channels, aiming to save companies their WhatsApp
    marketing costs by ensuring 100% message delivery at no cost. The platform
    highlights its effectiveness in delivering messages compared to other
    channels like SMS, emails, and mobile app notifications, offering insights
    and analytics to elevate decision-making processes and strategies for growth
  version: 1.0.0
servers:
  - url: http://{{base_url}}
security: []
paths:
  /api/v1/venom/get-status:
    get:
      tags:
        - default
      summary: get-status
      description: >-
        Retrieve Current Worker Status. This function is utilized to ascertain
        the present status of WhatsApp login. If the current status indicates
        anything other than success, it prompts a login action to the dashboard.
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
          example: Bearer {{token}}
      responses:
        '200':
          description: OK
          headers:
            Server:
              schema:
                type: number
                example: nginx/1.22.1
            Date:
              schema:
                type: string
                example: Mon, 04 Mar 2024 10:11:50 GMT
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '84'
            Connection:
              schema:
                type: string
                example: keep-alive
            X-Powered-By:
              schema:
                type: string
                example: Express
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            ETag:
              schema:
                type: string
                example: W/"54-nUjE+KtmKIU3BFAkXYEc/LGQ0lI"
          content:
            application/json:
              schema:
                type: object
              example:
                error: false
                status: success
                code: 200
                data:
                  sessionStatus: successChat

````